elasticsearch:5.6.9

Добрый день,

 

столкнулась с такой проблемой. Мы используем для црм глобальный поиск elasticsearch:5.6.9.

 

тут полное описание, как было сделано

https://academy.terrasoft.ru/documents/administration/7-16/nastroyka-se…

OS: Ubuntu 18.04

 

Все работало наверное около 2х месяцев. В один прекрасный что-то сломалось. Как раз хотела перевести на Ubuntu 20.04. Разбираться не стала - переустановила 2 машины. И опять счастье на 1,5-2 месяца. Утром позвонили и сказали вчера работало - сегодня уже нет.

 

На первой машине оба раза вылезает ошибка

[2020-12-03T11:26:14,489][WARN ][o.e.d.i.m.TypeParsers    ] field [include_in_all] is deprecated, as [_all] is deprecated, and will be disallowed in 6.0, use [copy_to] instead.
 

Сколько я понимаю, что обновляется что-то.. скорее всего, что лежит в контейнере на второй машине до версии 6,0 (индексы, база данных). А сам elasticsearch версии 5.6.9 .

 

Помогите пожалуйста разобраться.

 

С уважением,

Екатерина.

Нравится

1 комментарий

Сообщение «[2020-12-03T11:26:14,489][WARN ][o.e.d.i.m.TypeParsers    ] field [include_in_all] is deprecated, as [_all] is deprecated, and will be disallowed in 6.0, use [copy_to] instead.» не является ошибкой, это предупреждение, что какая-то функциональность является устаревшей и не будет работать в новой версии 6.0. Если у Вас используется 5.6.9, то влиять на работу в момент показа сообщения ещё до обновления это не должно.

О причинах лучше уточнить у администраторов сервера. Может, действительно автоматически обновляют.

А если у Вас глобальный поиск версии 1.7, то там в инструкции вообще явно ElasticSearch версии 5.6.8 рекомендуют.

Показать все комментарии